# Dagger

Dagger is a platform for deploying your code using code.

Using Dagger, software builders can create powerful deployment workflows, tailor-made for their application,
in just a few lines of code.

The Dagger platform adapts to your application, not the other way around. Thanks to its vast ecosystem of reusable packages and flexible scripting system, Dagger can deploy virtually any
application to any infrastructure, and integrate with any CI and build system. Think of it as your "devops superglu".

No matter how your deployment works under the hood, you can manage it with the same Dagger user interface.
This makes developers more productive, because they don't have to learn a new workflow every time their deployment
system changes.

## Alpha disclaimer

Dagger is *alpha-quality software*. It has many bugs, the user interface is minimal, and it may change in incompatible ways at any time. If you are still willing to try it, thank you! We appreciate your help and encourage you to ask questions and report issues.

## Learn More

* [Examples](examples/README.md)
* [Dagger vs. Other Software](doc/vs.md)
* [Installing Dagger](doc/install.md)
* [Tutorials](doc/tutorials.md)
* [Adding Dagger to your project](doc/adding_dagger.md)
* [Dagger Programmer Manual](doc/programmer.md)
* [Dagger Operator Manual](doc/operator.md)
